@import './inputs';
@import './checkboxes';
@import './radiobuttons';
@import './choices';
@import './range';
@import './quantity';
@import './search';

.form-group {
    margin-bottom: toRem(16);

    @include media-breakpoint-up(md) {
        font-size: toRem(32);
    }
}

.form-label {
    display: block;
    font-weight: 500;
    font-size: toRem(12);
    line-height: toRem(24);
    margin-bottom: toRem(8);

    &--sm {
        color: $black;
        font-weight: 400;
        font-size: toRem(14);
        line-height: toRem(24);
        margin-bottom: toRem(4);
    }

    @include media-breakpoint-up(md) {
        font-size: toRem(16);

        &--sm {
            font-size: toRem(14);
        }
    }
}

.form-buttons {
    display: grid;
    grid-row-gap: toRem(12);
    grid-template-columns: 1fr;
}

.checkbox-group {
    display: flex;
    flex-wrap: wrap;
    align-items: center;

    &__item {

        &:not(:last-child) {
            margin-right: toRem(24);
        }
    }
}

.form-header {
    color: $black;
    font-weight: 500;
    font-size: toRem(14);
    font-style: normal;
    line-height: toRem(24);
    margin-bottom: toRem(6);
    padding-bottom: toRem(6);
    border-bottom: 1px solid #E3E4E4;
}

.form-row {
    display: grid;
    grid-row-gap: toRem(8);
    grid-column-gap: toRem(12);
    grid-template-columns: 1fr;

    @include media-breakpoint-up(md) {
        grid-template-columns: 1fr 1fr;
    }
}
